/* CSS Document - menu.css*/
*{
	padding:0;
	margin:0;
	-webkit-box-sizing:border-box;
	-moz-box-sizing:border-box;
	box-sizing:border-box;
}

body {background-image: url(../images/azul01.jpg); } /* fondo de pagina */

section {
	padding:20px;
}

.menu_bar {
	display:none;
	display: inline-block;	
}

header {
	width: 100%;
	position: relative;
z-index: 10000;
}

header nav {
	background:#DEEFFF; /* fondo de menu desplegable*/
	z-index: 2000;
	max-width: 1000px;
	width: 95%;
	margin:20px auto;

/*Fondo menu*/
}

header nav ul {
	list-style:none;
}

header nav ul li {
	display:inline-block;
	/*La razon por la que no usamos floar en vez de inline-block es
	porque no vamos a poder usar overflows en el header nav ul*/
	position: relative;
}

header nav ul li:hover .children {
	display: block;
}

/*Submenu*/
header nav ul li .children {
	background:#DEEFFF;
	position: absolute;
	display: none;
	width: 150%;
/*Fondo Submenu*/
}

header nav ul li .children li {
	display: block;
	overflow: hidden;
	border-bottom: 1px solid rgba(0,0,255,.5);
	/*Usamos overflow hidden porque aqui si vamos a necesitar usar float*/
}

header nav ul li .children li a {
	display: block;
}

header nav ul .children li a span {
	float: right;
	position: relative;
	top:3px;
	margin-right: 0px;
	margin-left:10px;
}

header nav ul li a {
	color:#000cff;
	text-decoration: none;
	display: inline-block;
	padding:20px;
/*Letras opciones*/
}

header nav ul li:hover {
	background:#ff0000;
/*Pasar sobre opciones*/
}

header nav ul li span {
	margin-right:10px;
}

header nav ul li .caret {
	position: relative;
	top: 3px;
	margin-left: 10px;
	margin-right: 0;
}

@media screen and (max-width:100000px) {
	body {
		padding-top:50px;
	}
	.menu_bar {
		width: 100%;
		background:#DEEFFF;
		display: block;
		position: fixed;
		top:0;
	    display: inline-block;		
	}

	.menu_bar .bt-menu {
		display: block;
		padding: 15px;
		color:#000cff;
		overflow: hidden;
		font-size:20px;
		font-weight:bold;
		text-decoration: none;
	}

	.menu_bar span {
		float: right;
		font-size: 25px;
	}

	header nav {
		width: 30%;
		height: calc(100% - 50px);
		right:100%; 
		/*Con esto ocultamos el menu hacia la derecha, lo agregamos hasta el final*/
		margin: 0;
		position:fixed;
		overflow:scroll;
	}

	header nav ul li {
		display: block;
		border-bottom:1px solid rgba(0,0,255,.5);
	}

	header nav ul li a {
		display: block;
	}

	header nav ul li:hover .children{
		display: none;
	}

	header nav ul li .children {
		width: 100%;
		position: relative;
		/*display: block;*/
	}

	header nav ul li .children li a{
		margin-left:20px;
	}

	header nav ul li .caret {
		float: right;
	}
}

@media screen and (max-width:800px) {
	body {
		padding-top:50px;
	}
	.menu_bar {
		width: 100%;
		background:#DEEFFF;
		display: block;
		position: fixed;
		top:0;
	}

	.menu_bar .bt-menu {
		display: block;
		padding: 15px;
		color:#000cff;
		overflow: hidden;
		font-size:20px;
		font-weight:bold;
		text-decoration: none;
	}

	.menu_bar span {
		float: right;
		font-size: 25px;
	}

	header nav {
		width: 60%;
		height: calc(100% - 50px);
		right:100%; 
		/*Con esto ocultamos el menu hacia la derecha, lo agregamos hasta el final*/
		margin: 0;
		position:fixed;
		overflow:scroll;
		z-index:0;
	}

	header nav ul li {
		display: block;
		border-bottom:1px solid rgba(0,0,255,.5);
	}

	header nav ul li a {
		display: block;
	}

	header nav ul li:hover .children{
		display: none;
	}

	header nav ul li .children {
		width: 100%;
		position: relative;
		/*display: block;*/
	}

	header nav ul li .children li a{
		margin-left:20px;
	}

	header nav ul li .caret {
		float: right;
	}
}

